import { ajax } from "../sdk/ajax";

/* seedSheepFile import { reqSeedSheepList } from '@/api/breed.js' */
// 获取种羊档案
export const reqSeedSheepList = (data) => ajax("post", "/farm-huyang/sheep/list", data)

// 新增种羊档案
export const reqAddSeedSheepFile = (data) => ajax("post", "/farm-huyang/sheep/add", data)

// 删除种羊档案
export const reqDelSeedSheepFile = (data) => ajax("post", "/farm-huyang/sheep/delete", data)


/* 采精记录  Semen*/
export const reqSemenList = (data) => ajax("post", "/farm-huyang/semen/list", data)

export const reqAddOrUpdateSemen = (data) => ajax("post", "/farm-huyang/semen/addOrUpdate", data)

export const reqDelSemen = (id) => ajax("post", "/farm-huyang/semen/delete", {id})


/* 查情记录  matingS*/
export const reqmatingSList = (data) => ajax("post", "/farm-huyang/estrus/list", data)

export const reqAddOrUpdatematingS = (data) => ajax("post", "/farm-huyang/estrus/addOrUpdate", data)

export const reqDelmatingS = (id) => ajax("post", "/farm-huyang/estrus/delete", {id})


/* 配种记录  Mating*/
export const reqMatingList = (data) => ajax("post", "/farm-huyang/breeding/list", data)

export const reqAddOrUpdateMating = (data) => ajax("post", "/farm-huyang/breeding/addOrUpdate", data)

export const reqDelMating = (id) => ajax("post", "/farm-huyang/breeding/delete", {id})


/* 妊检记录  PregnancyTest*/
export const reqPregnancyTestList = (data) => ajax("post", "/farm-huyang/pregnancy/list", data)

export const reqAddOrUpdatePregnancyTest = (data) => ajax("post", "/farm-huyang/pregnancy/addOrUpdate", data)

export const reqDelPregnancyTest = (id) => ajax("post", "/farm-huyang/pregnancy/delete", {id})


/* 分娩记录  Parturition*/
export const reqParturitionList = (data) => ajax("post", "/farm-huyang/deliver/list", data)

export const reqAddOrUpdateParturition = (data) => ajax("post", "/farm-huyang/deliver/addOrUpdate", data)

export const reqDelParturition = (id) => ajax("post", "/farm-huyang/deliver/delete", {id})


/* 断奶记录  Weaning*/
export const reqWeaningList = (data) => ajax("post", "/farm-huyang/weaning/list", data)

export const reqAddOrUpdateWeaning = (data) => ajax("post", "/farm-huyang/weaning/addOrUpdate", data)

export const reqDelWeaning = (id) => ajax("post", "/farm-huyang/weaning/delete", {id})


/* 离场记录  OffField*/
export const reqOffFieldList = (data) => ajax("post", "/farm-huyang/departure/list", data)

export const reqAddOrUpdateOffField = (data) => ajax("post", "/farm-huyang/departure/addOrUpdate", data)

export const reqDelOffField = (id) => ajax("post", "/farm-huyang/departure/delete", {id})


/* 转舍记录  ShiftField*/
export const reqShiftFieldList = (data) => ajax("post", "/farm-huyang/transfer/list", data)

export const reqAddOrUpdateShiftField = (data) => ajax("post", "/farm-huyang/transfer/addOrUpdate", data)

export const reqDelShiftField = (id) => ajax("post", "/farm-huyang/transfer/delete", {id})