import { ajax } from "../sdk/ajax";

/* 档案信息 */
/* 企业信息 */
export const reqFirminfo = () => ajax("get", "/publics/sysconf/get", {code: 'huyang_company'})

export const reqUpdateFirm = (data) => ajax("post", "/publics/sysconf/update", data)


/* 牧场信息 */
export const reqPastureInfo = () => ajax("get", "/publics/sysconf/get", {code: 'huyang_farm_01'})

export const reqUpdatePasture = (data) => ajax("get", "/publics/sysconf/update", data)



/* 栋舍信息  Build = areaInfo*/
export const reqBuildList = (data) => ajax("post", "/farm-huyang/building/list", data)

export const reqAddOrUpdateBuild = (data) => ajax("post", "/farm-huyang/building/addOrUpdate", data)

export const reqDelBuild = (id) => ajax("post", "/farm-huyang/building/delete", {id})



/* 员工信息  Worker*/
export const reqWorkerList = (data) => ajax("post", "/farm-huyang/employee/list", data)

export const reqAddOrUpdateWorker = (data) => ajax("post", "/farm-huyang/employee/addOrUpdate", data)

export const reqDelWorker = (id) => ajax("post", "/farm-huyang/employee/delete", {id})

