import { ajax } from "../sdk/ajax";
// 物料管理

/* 基础信息  BasicsInfo*/
export const reqBasicsInfoList = (data) => ajax("post", "/farm-huyang/materiel/list", data)

export const reqAddOrUpdateBasicsInfo = (data) => ajax("post", "/farm-huyang/materiel/addOrUpdate", data)

export const reqDelBasicsInfo = (id) => ajax("post", "/farm-huyang/materiel/delete", {id})


/* 物料库存  Store*/
export const reqStoreList = (data) => ajax("post", "/farm-huyang/stock/list", data)

export const reqAddStore = (data) => ajax("post", "/farm-huyang/stock/add", data)


/* 物料入库  MInStore*/
export const reqMInStoreList = (data) => ajax("post", "/farm-huyang/stockIn/list", data)

export const reqAddMInStore = (data) => ajax("post", "/farm-huyang/stockIn/add", data)

export const reqDelMInStore = (id) => ajax("post", "/farm-huyang/stockIn/delete", {id})


/* 物料出库  MOutStore*/
export const reqMOutStoreList = (data) => ajax("post", "/farm-huyang/stockOut/list", data)

export const reqAddMOutStore = (data) => ajax("post", "/farm-huyang/stockOut/add", data)

export const reqDelMOutStore = (id) => ajax("post", "/farm-huyang/stockOut/delete", {id})


