
export const menuData = [
    {
        optionName: "档案信息",
        iconClassName: "el-icon-files",
        index: '0',
        disabled: false, // 是否禁用
        childList: [
            {
                optionName: '企业信息',
                index: '0-1',
                routerName: "firmInfo"
            },
            {
                optionName: '牧场信息',
                index: '0-2',
                routerName: "pastureInfo"
            },
            {
                optionName: '栋舍信息',
                index: '0-3',
                routerName: "areaInfo"
            },
            {
                optionName: '员工信息',
                index: '0-4',
                routerName: "workerInfo"
            }
        ]
    },
    {
        optionName: "繁殖管理",
        iconClassName: "el-icon-magic-stick",
        index: '1',
        disabled: false, // 是否禁用
        childList: [
            {
                optionName: '种羊档案',
                index: '1-1',
                routerName: "seedSheepFile"
            },
            {
                optionName: '采精记录',
                index: '1-2',
                routerName: "collectSeedLog"
            },
            {
                optionName: '查情记录',
                index: '1-3',
                routerName: "matingSuccLog"
            },
            {
                optionName: '配种记录',
                index: '1-4',
                routerName: "matingLog"
            },
            {
                optionName: '妊检记录',
                index: '1-5',
                routerName: "pregnancyTestLog"
            },
            {
                optionName: '分娩记录',
                index: '1-6',
                routerName: "parturitionLog"
            },
            {
                optionName: '断奶记录',
                index: '1-7',
                routerName: "weaningLog"
            },
            {
                optionName: '离场记录',
                index: '1-8',
                routerName: "offFieldLog"
            },
            {
                optionName: '转舍记录',
                index: '1-9',
                routerName: "shiftFieldLog"
            },
        ]
    },
    {
        optionName: "防疫管理",
        iconClassName: "el-icon-s-flag",
        index: '2',
        disabled: false,
        childList: [
            {
                optionName: '免疫程序',
                index: '2-1',
                routerName: "immuneProce"
            },
            {
                optionName: '免疫计划',
                index: '2-2',
                routerName: "immunePlan"
            },
            {
                optionName: '免疫记录',
                index: '2-3',
                routerName: "immuneLog"
            },
            {
                optionName: '疾病登记',
                index: '2-4',
                routerName: "illnessLog"
            },
            // {
            //     optionName: '羊杂登记',
            //     index: '2-5',
            //     routerName: "goatHasletLog"
            // },
            
        ]
    },

    {
        optionName: "生产管理",
        iconClassName: "el-icon-first-aid-kit",
        index: '3',
        disabled: false,
        childList: [
            {
                optionName: '批次管理',
                index: '3-1',
                routerName: "batch"
            },
            {
                optionName: '生产预警',
                index: '3-2',
                routerName: "productionWarn"
            },
            {
                optionName: '调拨转舍',
                index: '3-3',
                routerName: "shiftField"
            },
            {
                optionName: '死淘管理',
                index: '3-4',
                routerName: "dieWeedOut"
            },
            {
                optionName: '耳标管理',
                index: '3-5',
                routerName: "earTag"
            },
            {
                optionName: '精细饲喂',
                index: '3-6',
                routerName: "carefulFeed"
            },
            {
                optionName: '检测报告',
                index: '3-7',
                routerName: "examiningReport"
            }
           
        ]
    },
    {
        optionName: "无害化管理",
        iconClassName: "el-icon-set-up",
        index: '4',
        disabled: false,
        childList: [
            {
                optionName: '无害化确认',
                index: '4-1',
                routerName: "harmlessConfirm"
            },
            {
                optionName: '智能提醒',
                index: '4-2',
                routerName: "intelligentHint"
            },
        ]
    },
    {
        optionName: "物料管理",
        iconClassName: "el-icon-news",
        index: '5',
        disabled: false,
        childList: [
            {
                optionName: '基础信息',
                index: '5-1',
                routerName: "basicsInfo"
            },
            {
                optionName: '物料入库',
                index: '5-2',
                routerName: "materialInStore"
            },
            {
                optionName: '物料出库',
                index: '5-3',
                routerName: "materialOutStore"
            },
            {
                optionName: '库存盘点',
                index: '5-4',
                routerName: "storeList"
            },
        ]
    },
    {
        optionName: "育种管理",
        iconClassName: "el-icon-bank-card",
        index: '6',
        disabled: false,
        childList: [
            {
                optionName: '等级评定',
                index: '6-1',
                routerName: "gradeAssess"
            }
        ]
    },
    {
        optionName: "设备管理",
        iconClassName: "el-icon-setting",
        index: '7',
        disabled: false,
        childList: [
            {
                optionName: '环境检测',
                index: '7-1',
                routerName: "environmentMonitoring"
            },
            {
                optionName: '视频监控',
                index: '7-2',
                routerName: "video"
            },
            {
                optionName: '设备故障',
                index: '7-3',
                routerName: "deviceFault"
            },
        ]
    },
    {
        optionName: "开发用模板",
        iconClassName: "el-icon-menu",
        index: '100',
        disabled: false, // 是否禁用
        childList: [
            {
                optionName: '模板 1',
                index: '100-1',
                routerName: "aa"
            },
            {
                optionName: '普通表格',
                index: '100-2',
                routerName: "ab"
            },
            {
                optionName: '模板 3',
                index: '100-3',
                routerName: "ac"
            },
            {
                optionName: '模板 4',
                index: '100-4',
                routerName: "ad"
            },
            {
                optionName: '模板 5',
                index: '100-5',
                routerName: "ee"
            },
            {
                optionName: '模板 6',
                index: '100-6',
                routerName: "af"
            }

        ]
    },

]

// export default {menuData}




/* 菜单配置 描述 */
const menuData描述 = [
    // 有子菜单 并且字菜单分组的
    {
        oneMenuName: "导航一", // 一级菜单名
        iconClassName: "aaa", // element-ui图标名
        index: '1', // 唯一标志
        childList: [ // 分组的
            {
                groupName: '组名一',
                index: '1-1-1',
                list: [
                    {
                        optionName: '选项1',
                        routerName: "home"
                    },
                    {}
                ],
            },
            {
                groupName: '组名二',
                index: '1-1-2',
                list: [
                    {
                        optionName: '选项1',
                        routerName: "home"
                    },
                    {}
                ],
            }
        ],
    },
    // 有子菜单 字菜单不分组的
    {
        oneMenuName: "导航二",
        iconClassName: "el-icon-menu",
        index: '2',
        disabled: false, // 是否禁用
        childList: [ // 不分组的
            {
                optionName: '选项1',
                index: '2-1',
                routerName: "home"
            },
            {}
        ]
    },
    // 无子菜单的
    {
        oneMenuName: "导航三",
        iconClassName: "el-icon-document",
        routerName: "home",
        index: '3',
        disabled: false
    },

    "导航四"
]


